import dynamix_sdk.base as _base


class CloudapiBserviceGroupComputeRemoveResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceGroupComputeRemoveProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def group_compute_remove(
        self,
        *,
        bservice_id: int,
        bsgroup_id: int,
        vm_id: int,
    ) -> CloudapiBserviceGroupComputeRemoveResultBool:
        ...
